export interface AgentInfo {
    id: string;
    name: string;
    description: string;
    filePath: string;
    order: number;
    dependencies: string[];
    outputs: string[];
    category: 'core' | 'custom' | 'community';
}
export declare class AgentDiscovery {
    private agentPaths;
    private discoveredAgents;
    constructor();
    private initializeAgentPaths;
    private getPackageRoot;
    discoverAgents(): Promise<AgentInfo[]>;
    private scanDirectory;
    private getCategoryForPath;
    private parseAgentFile;
    private extractMetadata;
    private generateIdFromFileName;
    private generateNameFromFileName;
    private extractDescription;
    private inferOrderFromFileName;
    private extractDependencies;
    private extractOutputs;
    getAgent(agentId: string): Promise<AgentInfo | null>;
    getAgentsByCategory(category: AgentInfo['category']): Promise<AgentInfo[]>;
    validateAgentDependencies(selectedAgents: string[]): Promise<{
        valid: boolean;
        missing: string[];
    }>;
    createAgentExecutionPlan(selectedAgents: string[]): Promise<string[][]>;
    printAgentList(agents: AgentInfo[]): void;
}
//# sourceMappingURL=AgentDiscovery.d.ts.map