export interface OrchestrationOptions {
    outputDir: string;
    repositoryPath: string;
    selectedAgents?: string[];
    parallelJobs?: number;
    verbose?: boolean;
    claudeCommand?: string;
}
export interface AgentResult {
    agentId: string;
    success: boolean;
    outputFile?: string;
    executionTime: number;
    error?: string;
}
export declare class AgentOrchestrator {
    private discovery;
    private tempDir;
    constructor();
    executeAnalysis(options: OrchestrationOptions): Promise<AgentResult[]>;
    private filterSelectedAgents;
    private getDefaultAgents;
    private prepareEnvironment;
    private gatherRepositoryInfo;
    private getDirectoryStructure;
    private executeBatch;
    private executeAgent;
    private prepareAgentVariables;
    private isCriticalAgent;
    private cleanup;
    listAgents(): Promise<void>;
    validateSetup(claudeCommand?: string): Promise<boolean>;
}
//# sourceMappingURL=AgentOrchestrator.d.ts.map